IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network10.118.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
- Network address
10.118.0.0- Broadcast address
10.118.255.255- First usable
10.118.0.1- Last usable
10.118.255.254- Usable hosts
- 65,534 (65,536 less the network and broadcast addresses)
- Subnet mask
255.255.0.0- Wildcard mask
0.0.255.255(Cisco ACLs, OSPF)- Prefix length
- /16
- Type
- Private (RFC 1918) 10.0.0.0/8
Office and home networks; not routed on the internet - Old class
- A (default /8)
- As numbers
- Hex
0A760000· Integer175505408to175570943 - Reverse DNS zone
118.10.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001010.01110110..00000000.00000000 | 10.118.0.0 |
| Subnet mask | 11111111.11111111..00000000.00000000 | 255.255.0.0 |
| Network | 00001010.01110110..00000000.00000000 | 10.118.0.0 |
| Broadcast | 00001010.01110110..11111111.11111111 | 10.118.255.255 |
Split into smaller subnets
/17 (2)/18 (4)/19 (8)/20 (16)/21 (32)/22 (64)/23 (128)/24 (256)/25 (512)/26 (1,024)/27 (2,048)/28 (4,096)
10.118.0.0/16 makes 256 subnets of /24.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 10.118.0.0/24 | 10.118.0.1 to 10.118.0.254 | 10.118.0.255 | 254 |
| 2 | 10.118.1.0/24 | 10.118.1.1 to 10.118.1.254 | 10.118.1.255 | 254 |
| 3 | 10.118.2.0/24 | 10.118.2.1 to 10.118.2.254 | 10.118.2.255 | 254 |
| 4 | 10.118.3.0/24 | 10.118.3.1 to 10.118.3.254 | 10.118.3.255 | 254 |
| 5 | 10.118.4.0/24 | 10.118.4.1 to 10.118.4.254 | 10.118.4.255 | 254 |
| 6 | 10.118.5.0/24 | 10.118.5.1 to 10.118.5.254 | 10.118.5.255 | 254 |
| 7 | 10.118.6.0/24 | 10.118.6.1 to 10.118.6.254 | 10.118.6.255 | 254 |
| 8 | 10.118.7.0/24 | 10.118.7.1 to 10.118.7.254 | 10.118.7.255 | 254 |
| 9 | 10.118.8.0/24 | 10.118.8.1 to 10.118.8.254 | 10.118.8.255 | 254 |
| 10 | 10.118.9.0/24 | 10.118.9.1 to 10.118.9.254 | 10.118.9.255 | 254 |
| 11 | 10.118.10.0/24 | 10.118.10.1 to 10.118.10.254 | 10.118.10.255 | 254 |
| 12 | 10.118.11.0/24 | 10.118.11.1 to 10.118.11.254 | 10.118.11.255 | 254 |
| 13 | 10.118.12.0/24 | 10.118.12.1 to 10.118.12.254 | 10.118.12.255 | 254 |
| 14 | 10.118.13.0/24 | 10.118.13.1 to 10.118.13.254 | 10.118.13.255 | 254 |
| 15 | 10.118.14.0/24 | 10.118.14.1 to 10.118.14.254 | 10.118.14.255 | 254 |
| 16 | 10.118.15.0/24 | 10.118.15.1 to 10.118.15.254 | 10.118.15.255 | 254 |
| 17 | 10.118.16.0/24 | 10.118.16.1 to 10.118.16.254 | 10.118.16.255 | 254 |
| 18 | 10.118.17.0/24 | 10.118.17.1 to 10.118.17.254 | 10.118.17.255 | 254 |
| 19 | 10.118.18.0/24 | 10.118.18.1 to 10.118.18.254 | 10.118.18.255 | 254 |
| 20 | 10.118.19.0/24 | 10.118.19.1 to 10.118.19.254 | 10.118.19.255 | 254 |
| 21 | 10.118.20.0/24 | 10.118.20.1 to 10.118.20.254 | 10.118.20.255 | 254 |
| 22 | 10.118.21.0/24 | 10.118.21.1 to 10.118.21.254 | 10.118.21.255 | 254 |
| 23 | 10.118.22.0/24 | 10.118.22.1 to 10.118.22.254 | 10.118.22.255 | 254 |
| 24 | 10.118.23.0/24 | 10.118.23.1 to 10.118.23.254 | 10.118.23.255 | 254 |
| 25 | 10.118.24.0/24 | 10.118.24.1 to 10.118.24.254 | 10.118.24.255 | 254 |
| 26 | 10.118.25.0/24 | 10.118.25.1 to 10.118.25.254 | 10.118.25.255 | 254 |
| 27 | 10.118.26.0/24 | 10.118.26.1 to 10.118.26.254 | 10.118.26.255 | 254 |
| 28 | 10.118.27.0/24 | 10.118.27.1 to 10.118.27.254 | 10.118.27.255 | 254 |
| 29 | 10.118.28.0/24 | 10.118.28.1 to 10.118.28.254 | 10.118.28.255 | 254 |
| 30 | 10.118.29.0/24 | 10.118.29.1 to 10.118.29.254 | 10.118.29.255 | 254 |
| 31 | 10.118.30.0/24 | 10.118.30.1 to 10.118.30.254 | 10.118.30.255 | 254 |
| 32 | 10.118.31.0/24 | 10.118.31.1 to 10.118.31.254 | 10.118.31.255 | 254 |
| 33 | 10.118.32.0/24 | 10.118.32.1 to 10.118.32.254 | 10.118.32.255 | 254 |
| 34 | 10.118.33.0/24 | 10.118.33.1 to 10.118.33.254 | 10.118.33.255 | 254 |
| 35 | 10.118.34.0/24 | 10.118.34.1 to 10.118.34.254 | 10.118.34.255 | 254 |
| 36 | 10.118.35.0/24 | 10.118.35.1 to 10.118.35.254 | 10.118.35.255 | 254 |
| 37 | 10.118.36.0/24 | 10.118.36.1 to 10.118.36.254 | 10.118.36.255 | 254 |
| 38 | 10.118.37.0/24 | 10.118.37.1 to 10.118.37.254 | 10.118.37.255 | 254 |
| 39 | 10.118.38.0/24 | 10.118.38.1 to 10.118.38.254 | 10.118.38.255 | 254 |
| 40 | 10.118.39.0/24 | 10.118.39.1 to 10.118.39.254 | 10.118.39.255 | 254 |
| 41 | 10.118.40.0/24 | 10.118.40.1 to 10.118.40.254 | 10.118.40.255 | 254 |
| 42 | 10.118.41.0/24 | 10.118.41.1 to 10.118.41.254 | 10.118.41.255 | 254 |
| 43 | 10.118.42.0/24 | 10.118.42.1 to 10.118.42.254 | 10.118.42.255 | 254 |
| 44 | 10.118.43.0/24 | 10.118.43.1 to 10.118.43.254 | 10.118.43.255 | 254 |
| 45 | 10.118.44.0/24 | 10.118.44.1 to 10.118.44.254 | 10.118.44.255 | 254 |
| 46 | 10.118.45.0/24 | 10.118.45.1 to 10.118.45.254 | 10.118.45.255 | 254 |
| 47 | 10.118.46.0/24 | 10.118.46.1 to 10.118.46.254 | 10.118.46.255 | 254 |
| 48 | 10.118.47.0/24 | 10.118.47.1 to 10.118.47.254 | 10.118.47.255 | 254 |
| 49 | 10.118.48.0/24 | 10.118.48.1 to 10.118.48.254 | 10.118.48.255 | 254 |
| 50 | 10.118.49.0/24 | 10.118.49.1 to 10.118.49.254 | 10.118.49.255 | 254 |
| 51 | 10.118.50.0/24 | 10.118.50.1 to 10.118.50.254 | 10.118.50.255 | 254 |
| 52 | 10.118.51.0/24 | 10.118.51.1 to 10.118.51.254 | 10.118.51.255 | 254 |
| 53 | 10.118.52.0/24 | 10.118.52.1 to 10.118.52.254 | 10.118.52.255 | 254 |
| 54 | 10.118.53.0/24 | 10.118.53.1 to 10.118.53.254 | 10.118.53.255 | 254 |
| 55 | 10.118.54.0/24 | 10.118.54.1 to 10.118.54.254 | 10.118.54.255 | 254 |
| 56 | 10.118.55.0/24 | 10.118.55.1 to 10.118.55.254 | 10.118.55.255 | 254 |
| 57 | 10.118.56.0/24 | 10.118.56.1 to 10.118.56.254 | 10.118.56.255 | 254 |
| 58 | 10.118.57.0/24 | 10.118.57.1 to 10.118.57.254 | 10.118.57.255 | 254 |
| 59 | 10.118.58.0/24 | 10.118.58.1 to 10.118.58.254 | 10.118.58.255 | 254 |
| 60 | 10.118.59.0/24 | 10.118.59.1 to 10.118.59.254 | 10.118.59.255 | 254 |
| 61 | 10.118.60.0/24 | 10.118.60.1 to 10.118.60.254 | 10.118.60.255 | 254 |
| 62 | 10.118.61.0/24 | 10.118.61.1 to 10.118.61.254 | 10.118.61.255 | 254 |
| 63 | 10.118.62.0/24 | 10.118.62.1 to 10.118.62.254 | 10.118.62.255 | 254 |
| 64 | 10.118.63.0/24 | 10.118.63.1 to 10.118.63.254 | 10.118.63.255 | 254 |
| 65 | 10.118.64.0/24 | 10.118.64.1 to 10.118.64.254 | 10.118.64.255 | 254 |
| 66 | 10.118.65.0/24 | 10.118.65.1 to 10.118.65.254 | 10.118.65.255 | 254 |
| 67 | 10.118.66.0/24 | 10.118.66.1 to 10.118.66.254 | 10.118.66.255 | 254 |
| 68 | 10.118.67.0/24 | 10.118.67.1 to 10.118.67.254 | 10.118.67.255 | 254 |
| 69 | 10.118.68.0/24 | 10.118.68.1 to 10.118.68.254 | 10.118.68.255 | 254 |
| 70 | 10.118.69.0/24 | 10.118.69.1 to 10.118.69.254 | 10.118.69.255 | 254 |
| 71 | 10.118.70.0/24 | 10.118.70.1 to 10.118.70.254 | 10.118.70.255 | 254 |
| 72 | 10.118.71.0/24 | 10.118.71.1 to 10.118.71.254 | 10.118.71.255 | 254 |
| 73 | 10.118.72.0/24 | 10.118.72.1 to 10.118.72.254 | 10.118.72.255 | 254 |
| 74 | 10.118.73.0/24 | 10.118.73.1 to 10.118.73.254 | 10.118.73.255 | 254 |
| 75 | 10.118.74.0/24 | 10.118.74.1 to 10.118.74.254 | 10.118.74.255 | 254 |
| 76 | 10.118.75.0/24 | 10.118.75.1 to 10.118.75.254 | 10.118.75.255 | 254 |
| 77 | 10.118.76.0/24 | 10.118.76.1 to 10.118.76.254 | 10.118.76.255 | 254 |
| 78 | 10.118.77.0/24 | 10.118.77.1 to 10.118.77.254 | 10.118.77.255 | 254 |
| 79 | 10.118.78.0/24 | 10.118.78.1 to 10.118.78.254 | 10.118.78.255 | 254 |
| 80 | 10.118.79.0/24 | 10.118.79.1 to 10.118.79.254 | 10.118.79.255 | 254 |
| 81 | 10.118.80.0/24 | 10.118.80.1 to 10.118.80.254 | 10.118.80.255 | 254 |
| 82 | 10.118.81.0/24 | 10.118.81.1 to 10.118.81.254 | 10.118.81.255 | 254 |
| 83 | 10.118.82.0/24 | 10.118.82.1 to 10.118.82.254 | 10.118.82.255 | 254 |
| 84 | 10.118.83.0/24 | 10.118.83.1 to 10.118.83.254 | 10.118.83.255 | 254 |
| 85 | 10.118.84.0/24 | 10.118.84.1 to 10.118.84.254 | 10.118.84.255 | 254 |
| 86 | 10.118.85.0/24 | 10.118.85.1 to 10.118.85.254 | 10.118.85.255 | 254 |
| 87 | 10.118.86.0/24 | 10.118.86.1 to 10.118.86.254 | 10.118.86.255 | 254 |
| 88 | 10.118.87.0/24 | 10.118.87.1 to 10.118.87.254 | 10.118.87.255 | 254 |
| 89 | 10.118.88.0/24 | 10.118.88.1 to 10.118.88.254 | 10.118.88.255 | 254 |
| 90 | 10.118.89.0/24 | 10.118.89.1 to 10.118.89.254 | 10.118.89.255 | 254 |
| 91 | 10.118.90.0/24 | 10.118.90.1 to 10.118.90.254 | 10.118.90.255 | 254 |
| 92 | 10.118.91.0/24 | 10.118.91.1 to 10.118.91.254 | 10.118.91.255 | 254 |
| 93 | 10.118.92.0/24 | 10.118.92.1 to 10.118.92.254 | 10.118.92.255 | 254 |
| 94 | 10.118.93.0/24 | 10.118.93.1 to 10.118.93.254 | 10.118.93.255 | 254 |
| 95 | 10.118.94.0/24 | 10.118.94.1 to 10.118.94.254 | 10.118.94.255 | 254 |
| 96 | 10.118.95.0/24 | 10.118.95.1 to 10.118.95.254 | 10.118.95.255 | 254 |
| 97 | 10.118.96.0/24 | 10.118.96.1 to 10.118.96.254 | 10.118.96.255 | 254 |
| 98 | 10.118.97.0/24 | 10.118.97.1 to 10.118.97.254 | 10.118.97.255 | 254 |
| 99 | 10.118.98.0/24 | 10.118.98.1 to 10.118.98.254 | 10.118.98.255 | 254 |
| 100 | 10.118.99.0/24 | 10.118.99.1 to 10.118.99.254 | 10.118.99.255 | 254 |
| 101 | 10.118.100.0/24 | 10.118.100.1 to 10.118.100.254 | 10.118.100.255 | 254 |
| 102 | 10.118.101.0/24 | 10.118.101.1 to 10.118.101.254 | 10.118.101.255 | 254 |
| 103 | 10.118.102.0/24 | 10.118.102.1 to 10.118.102.254 | 10.118.102.255 | 254 |
| 104 | 10.118.103.0/24 | 10.118.103.1 to 10.118.103.254 | 10.118.103.255 | 254 |
| 105 | 10.118.104.0/24 | 10.118.104.1 to 10.118.104.254 | 10.118.104.255 | 254 |
| 106 | 10.118.105.0/24 | 10.118.105.1 to 10.118.105.254 | 10.118.105.255 | 254 |
| 107 | 10.118.106.0/24 | 10.118.106.1 to 10.118.106.254 | 10.118.106.255 | 254 |
| 108 | 10.118.107.0/24 | 10.118.107.1 to 10.118.107.254 | 10.118.107.255 | 254 |
| 109 | 10.118.108.0/24 | 10.118.108.1 to 10.118.108.254 | 10.118.108.255 | 254 |
| 110 | 10.118.109.0/24 | 10.118.109.1 to 10.118.109.254 | 10.118.109.255 | 254 |
| 111 | 10.118.110.0/24 | 10.118.110.1 to 10.118.110.254 | 10.118.110.255 | 254 |
| 112 | 10.118.111.0/24 | 10.118.111.1 to 10.118.111.254 | 10.118.111.255 | 254 |
| 113 | 10.118.112.0/24 | 10.118.112.1 to 10.118.112.254 | 10.118.112.255 | 254 |
| 114 | 10.118.113.0/24 | 10.118.113.1 to 10.118.113.254 | 10.118.113.255 | 254 |
| 115 | 10.118.114.0/24 | 10.118.114.1 to 10.118.114.254 | 10.118.114.255 | 254 |
| 116 | 10.118.115.0/24 | 10.118.115.1 to 10.118.115.254 | 10.118.115.255 | 254 |
| 117 | 10.118.116.0/24 | 10.118.116.1 to 10.118.116.254 | 10.118.116.255 | 254 |
| 118 | 10.118.117.0/24 | 10.118.117.1 to 10.118.117.254 | 10.118.117.255 | 254 |
| 119 | 10.118.118.0/24 | 10.118.118.1 to 10.118.118.254 | 10.118.118.255 | 254 |
| 120 | 10.118.119.0/24 | 10.118.119.1 to 10.118.119.254 | 10.118.119.255 | 254 |
| 121 | 10.118.120.0/24 | 10.118.120.1 to 10.118.120.254 | 10.118.120.255 | 254 |
| 122 | 10.118.121.0/24 | 10.118.121.1 to 10.118.121.254 | 10.118.121.255 | 254 |
| 123 | 10.118.122.0/24 | 10.118.122.1 to 10.118.122.254 | 10.118.122.255 | 254 |
| 124 | 10.118.123.0/24 | 10.118.123.1 to 10.118.123.254 | 10.118.123.255 | 254 |
| 125 | 10.118.124.0/24 | 10.118.124.1 to 10.118.124.254 | 10.118.124.255 | 254 |
| 126 | 10.118.125.0/24 | 10.118.125.1 to 10.118.125.254 | 10.118.125.255 | 254 |
| 127 | 10.118.126.0/24 | 10.118.126.1 to 10.118.126.254 | 10.118.126.255 | 254 |
| 128 | 10.118.127.0/24 | 10.118.127.1 to 10.118.127.254 | 10.118.127.255 | 254 |
| 129 | 10.118.128.0/24 | 10.118.128.1 to 10.118.128.254 | 10.118.128.255 | 254 |
| 130 | 10.118.129.0/24 | 10.118.129.1 to 10.118.129.254 | 10.118.129.255 | 254 |
| 131 | 10.118.130.0/24 | 10.118.130.1 to 10.118.130.254 | 10.118.130.255 | 254 |
| 132 | 10.118.131.0/24 | 10.118.131.1 to 10.118.131.254 | 10.118.131.255 | 254 |
| 133 | 10.118.132.0/24 | 10.118.132.1 to 10.118.132.254 | 10.118.132.255 | 254 |
| 134 | 10.118.133.0/24 | 10.118.133.1 to 10.118.133.254 | 10.118.133.255 | 254 |
| 135 | 10.118.134.0/24 | 10.118.134.1 to 10.118.134.254 | 10.118.134.255 | 254 |
| 136 | 10.118.135.0/24 | 10.118.135.1 to 10.118.135.254 | 10.118.135.255 | 254 |
| 137 | 10.118.136.0/24 | 10.118.136.1 to 10.118.136.254 | 10.118.136.255 | 254 |
| 138 | 10.118.137.0/24 | 10.118.137.1 to 10.118.137.254 | 10.118.137.255 | 254 |
| 139 | 10.118.138.0/24 | 10.118.138.1 to 10.118.138.254 | 10.118.138.255 | 254 |
| 140 | 10.118.139.0/24 | 10.118.139.1 to 10.118.139.254 | 10.118.139.255 | 254 |
| 141 | 10.118.140.0/24 | 10.118.140.1 to 10.118.140.254 | 10.118.140.255 | 254 |
| 142 | 10.118.141.0/24 | 10.118.141.1 to 10.118.141.254 | 10.118.141.255 | 254 |
| 143 | 10.118.142.0/24 | 10.118.142.1 to 10.118.142.254 | 10.118.142.255 | 254 |
| 144 | 10.118.143.0/24 | 10.118.143.1 to 10.118.143.254 | 10.118.143.255 | 254 |
| 145 | 10.118.144.0/24 | 10.118.144.1 to 10.118.144.254 | 10.118.144.255 | 254 |
| 146 | 10.118.145.0/24 | 10.118.145.1 to 10.118.145.254 | 10.118.145.255 | 254 |
| 147 | 10.118.146.0/24 | 10.118.146.1 to 10.118.146.254 | 10.118.146.255 | 254 |
| 148 | 10.118.147.0/24 | 10.118.147.1 to 10.118.147.254 | 10.118.147.255 | 254 |
| 149 | 10.118.148.0/24 | 10.118.148.1 to 10.118.148.254 | 10.118.148.255 | 254 |
| 150 | 10.118.149.0/24 | 10.118.149.1 to 10.118.149.254 | 10.118.149.255 | 254 |
| 151 | 10.118.150.0/24 | 10.118.150.1 to 10.118.150.254 | 10.118.150.255 | 254 |
| 152 | 10.118.151.0/24 | 10.118.151.1 to 10.118.151.254 | 10.118.151.255 | 254 |
| 153 | 10.118.152.0/24 | 10.118.152.1 to 10.118.152.254 | 10.118.152.255 | 254 |
| 154 | 10.118.153.0/24 | 10.118.153.1 to 10.118.153.254 | 10.118.153.255 | 254 |
| 155 | 10.118.154.0/24 | 10.118.154.1 to 10.118.154.254 | 10.118.154.255 | 254 |
| 156 | 10.118.155.0/24 | 10.118.155.1 to 10.118.155.254 | 10.118.155.255 | 254 |
| 157 | 10.118.156.0/24 | 10.118.156.1 to 10.118.156.254 | 10.118.156.255 | 254 |
| 158 | 10.118.157.0/24 | 10.118.157.1 to 10.118.157.254 | 10.118.157.255 | 254 |
| 159 | 10.118.158.0/24 | 10.118.158.1 to 10.118.158.254 | 10.118.158.255 | 254 |
| 160 | 10.118.159.0/24 | 10.118.159.1 to 10.118.159.254 | 10.118.159.255 | 254 |
| 161 | 10.118.160.0/24 | 10.118.160.1 to 10.118.160.254 | 10.118.160.255 | 254 |
| 162 | 10.118.161.0/24 | 10.118.161.1 to 10.118.161.254 | 10.118.161.255 | 254 |
| 163 | 10.118.162.0/24 | 10.118.162.1 to 10.118.162.254 | 10.118.162.255 | 254 |
| 164 | 10.118.163.0/24 | 10.118.163.1 to 10.118.163.254 | 10.118.163.255 | 254 |
| 165 | 10.118.164.0/24 | 10.118.164.1 to 10.118.164.254 | 10.118.164.255 | 254 |
| 166 | 10.118.165.0/24 | 10.118.165.1 to 10.118.165.254 | 10.118.165.255 | 254 |
| 167 | 10.118.166.0/24 | 10.118.166.1 to 10.118.166.254 | 10.118.166.255 | 254 |
| 168 | 10.118.167.0/24 | 10.118.167.1 to 10.118.167.254 | 10.118.167.255 | 254 |
| 169 | 10.118.168.0/24 | 10.118.168.1 to 10.118.168.254 | 10.118.168.255 | 254 |
| 170 | 10.118.169.0/24 | 10.118.169.1 to 10.118.169.254 | 10.118.169.255 | 254 |
| 171 | 10.118.170.0/24 | 10.118.170.1 to 10.118.170.254 | 10.118.170.255 | 254 |
| 172 | 10.118.171.0/24 | 10.118.171.1 to 10.118.171.254 | 10.118.171.255 | 254 |
| 173 | 10.118.172.0/24 | 10.118.172.1 to 10.118.172.254 | 10.118.172.255 | 254 |
| 174 | 10.118.173.0/24 | 10.118.173.1 to 10.118.173.254 | 10.118.173.255 | 254 |
| 175 | 10.118.174.0/24 | 10.118.174.1 to 10.118.174.254 | 10.118.174.255 | 254 |
| 176 | 10.118.175.0/24 | 10.118.175.1 to 10.118.175.254 | 10.118.175.255 | 254 |
| 177 | 10.118.176.0/24 | 10.118.176.1 to 10.118.176.254 | 10.118.176.255 | 254 |
| 178 | 10.118.177.0/24 | 10.118.177.1 to 10.118.177.254 | 10.118.177.255 | 254 |
| 179 | 10.118.178.0/24 | 10.118.178.1 to 10.118.178.254 | 10.118.178.255 | 254 |
| 180 | 10.118.179.0/24 | 10.118.179.1 to 10.118.179.254 | 10.118.179.255 | 254 |
| 181 | 10.118.180.0/24 | 10.118.180.1 to 10.118.180.254 | 10.118.180.255 | 254 |
| 182 | 10.118.181.0/24 | 10.118.181.1 to 10.118.181.254 | 10.118.181.255 | 254 |
| 183 | 10.118.182.0/24 | 10.118.182.1 to 10.118.182.254 | 10.118.182.255 | 254 |
| 184 | 10.118.183.0/24 | 10.118.183.1 to 10.118.183.254 | 10.118.183.255 | 254 |
| 185 | 10.118.184.0/24 | 10.118.184.1 to 10.118.184.254 | 10.118.184.255 | 254 |
| 186 | 10.118.185.0/24 | 10.118.185.1 to 10.118.185.254 | 10.118.185.255 | 254 |
| 187 | 10.118.186.0/24 | 10.118.186.1 to 10.118.186.254 | 10.118.186.255 | 254 |
| 188 | 10.118.187.0/24 | 10.118.187.1 to 10.118.187.254 | 10.118.187.255 | 254 |
| 189 | 10.118.188.0/24 | 10.118.188.1 to 10.118.188.254 | 10.118.188.255 | 254 |
| 190 | 10.118.189.0/24 | 10.118.189.1 to 10.118.189.254 | 10.118.189.255 | 254 |
| 191 | 10.118.190.0/24 | 10.118.190.1 to 10.118.190.254 | 10.118.190.255 | 254 |
| 192 | 10.118.191.0/24 | 10.118.191.1 to 10.118.191.254 | 10.118.191.255 | 254 |
| 193 | 10.118.192.0/24 | 10.118.192.1 to 10.118.192.254 | 10.118.192.255 | 254 |
| 194 | 10.118.193.0/24 | 10.118.193.1 to 10.118.193.254 | 10.118.193.255 | 254 |
| 195 | 10.118.194.0/24 | 10.118.194.1 to 10.118.194.254 | 10.118.194.255 | 254 |
| 196 | 10.118.195.0/24 | 10.118.195.1 to 10.118.195.254 | 10.118.195.255 | 254 |
| 197 | 10.118.196.0/24 | 10.118.196.1 to 10.118.196.254 | 10.118.196.255 | 254 |
| 198 | 10.118.197.0/24 | 10.118.197.1 to 10.118.197.254 | 10.118.197.255 | 254 |
| 199 | 10.118.198.0/24 | 10.118.198.1 to 10.118.198.254 | 10.118.198.255 | 254 |
| 200 | 10.118.199.0/24 | 10.118.199.1 to 10.118.199.254 | 10.118.199.255 | 254 |
| 201 | 10.118.200.0/24 | 10.118.200.1 to 10.118.200.254 | 10.118.200.255 | 254 |
| 202 | 10.118.201.0/24 | 10.118.201.1 to 10.118.201.254 | 10.118.201.255 | 254 |
| 203 | 10.118.202.0/24 | 10.118.202.1 to 10.118.202.254 | 10.118.202.255 | 254 |
| 204 | 10.118.203.0/24 | 10.118.203.1 to 10.118.203.254 | 10.118.203.255 | 254 |
| 205 | 10.118.204.0/24 | 10.118.204.1 to 10.118.204.254 | 10.118.204.255 | 254 |
| 206 | 10.118.205.0/24 | 10.118.205.1 to 10.118.205.254 | 10.118.205.255 | 254 |
| 207 | 10.118.206.0/24 | 10.118.206.1 to 10.118.206.254 | 10.118.206.255 | 254 |
| 208 | 10.118.207.0/24 | 10.118.207.1 to 10.118.207.254 | 10.118.207.255 | 254 |
| 209 | 10.118.208.0/24 | 10.118.208.1 to 10.118.208.254 | 10.118.208.255 | 254 |
| 210 | 10.118.209.0/24 | 10.118.209.1 to 10.118.209.254 | 10.118.209.255 | 254 |
| 211 | 10.118.210.0/24 | 10.118.210.1 to 10.118.210.254 | 10.118.210.255 | 254 |
| 212 | 10.118.211.0/24 | 10.118.211.1 to 10.118.211.254 | 10.118.211.255 | 254 |
| 213 | 10.118.212.0/24 | 10.118.212.1 to 10.118.212.254 | 10.118.212.255 | 254 |
| 214 | 10.118.213.0/24 | 10.118.213.1 to 10.118.213.254 | 10.118.213.255 | 254 |
| 215 | 10.118.214.0/24 | 10.118.214.1 to 10.118.214.254 | 10.118.214.255 | 254 |
| 216 | 10.118.215.0/24 | 10.118.215.1 to 10.118.215.254 | 10.118.215.255 | 254 |
| 217 | 10.118.216.0/24 | 10.118.216.1 to 10.118.216.254 | 10.118.216.255 | 254 |
| 218 | 10.118.217.0/24 | 10.118.217.1 to 10.118.217.254 | 10.118.217.255 | 254 |
| 219 | 10.118.218.0/24 | 10.118.218.1 to 10.118.218.254 | 10.118.218.255 | 254 |
| 220 | 10.118.219.0/24 | 10.118.219.1 to 10.118.219.254 | 10.118.219.255 | 254 |
| 221 | 10.118.220.0/24 | 10.118.220.1 to 10.118.220.254 | 10.118.220.255 | 254 |
| 222 | 10.118.221.0/24 | 10.118.221.1 to 10.118.221.254 | 10.118.221.255 | 254 |
| 223 | 10.118.222.0/24 | 10.118.222.1 to 10.118.222.254 | 10.118.222.255 | 254 |
| 224 | 10.118.223.0/24 | 10.118.223.1 to 10.118.223.254 | 10.118.223.255 | 254 |
| 225 | 10.118.224.0/24 | 10.118.224.1 to 10.118.224.254 | 10.118.224.255 | 254 |
| 226 | 10.118.225.0/24 | 10.118.225.1 to 10.118.225.254 | 10.118.225.255 | 254 |
| 227 | 10.118.226.0/24 | 10.118.226.1 to 10.118.226.254 | 10.118.226.255 | 254 |
| 228 | 10.118.227.0/24 | 10.118.227.1 to 10.118.227.254 | 10.118.227.255 | 254 |
| 229 | 10.118.228.0/24 | 10.118.228.1 to 10.118.228.254 | 10.118.228.255 | 254 |
| 230 | 10.118.229.0/24 | 10.118.229.1 to 10.118.229.254 | 10.118.229.255 | 254 |
| 231 | 10.118.230.0/24 | 10.118.230.1 to 10.118.230.254 | 10.118.230.255 | 254 |
| 232 | 10.118.231.0/24 | 10.118.231.1 to 10.118.231.254 | 10.118.231.255 | 254 |
| 233 | 10.118.232.0/24 | 10.118.232.1 to 10.118.232.254 | 10.118.232.255 | 254 |
| 234 | 10.118.233.0/24 | 10.118.233.1 to 10.118.233.254 | 10.118.233.255 | 254 |
| 235 | 10.118.234.0/24 | 10.118.234.1 to 10.118.234.254 | 10.118.234.255 | 254 |
| 236 | 10.118.235.0/24 | 10.118.235.1 to 10.118.235.254 | 10.118.235.255 | 254 |
| 237 | 10.118.236.0/24 | 10.118.236.1 to 10.118.236.254 | 10.118.236.255 | 254 |
| 238 | 10.118.237.0/24 | 10.118.237.1 to 10.118.237.254 | 10.118.237.255 | 254 |
| 239 | 10.118.238.0/24 | 10.118.238.1 to 10.118.238.254 | 10.118.238.255 | 254 |
| 240 | 10.118.239.0/24 | 10.118.239.1 to 10.118.239.254 | 10.118.239.255 | 254 |
| 241 | 10.118.240.0/24 | 10.118.240.1 to 10.118.240.254 | 10.118.240.255 | 254 |
| 242 | 10.118.241.0/24 | 10.118.241.1 to 10.118.241.254 | 10.118.241.255 | 254 |
| 243 | 10.118.242.0/24 | 10.118.242.1 to 10.118.242.254 | 10.118.242.255 | 254 |
| 244 | 10.118.243.0/24 | 10.118.243.1 to 10.118.243.254 | 10.118.243.255 | 254 |
| 245 | 10.118.244.0/24 | 10.118.244.1 to 10.118.244.254 | 10.118.244.255 | 254 |
| 246 | 10.118.245.0/24 | 10.118.245.1 to 10.118.245.254 | 10.118.245.255 | 254 |
| 247 | 10.118.246.0/24 | 10.118.246.1 to 10.118.246.254 | 10.118.246.255 | 254 |
| 248 | 10.118.247.0/24 | 10.118.247.1 to 10.118.247.254 | 10.118.247.255 | 254 |
| 249 | 10.118.248.0/24 | 10.118.248.1 to 10.118.248.254 | 10.118.248.255 | 254 |
| 250 | 10.118.249.0/24 | 10.118.249.1 to 10.118.249.254 | 10.118.249.255 | 254 |
| 251 | 10.118.250.0/24 | 10.118.250.1 to 10.118.250.254 | 10.118.250.255 | 254 |
| 252 | 10.118.251.0/24 | 10.118.251.1 to 10.118.251.254 | 10.118.251.255 | 254 |
| 253 | 10.118.252.0/24 | 10.118.252.1 to 10.118.252.254 | 10.118.252.255 | 254 |
| 254 | 10.118.253.0/24 | 10.118.253.1 to 10.118.253.254 | 10.118.253.255 | 254 |
| 255 | 10.118.254.0/24 | 10.118.254.1 to 10.118.254.254 | 10.118.254.255 | 254 |
| 256 | 10.118.255.0/24 | 10.118.255.1 to 10.118.255.254 | 10.118.255.255 | 254 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |